
package com.ys.bdtp.base



/**
 * 保存应用系统设置
 *
 * @author  庞利祥(sybotan@126.com)
 */
/*open class SOptions {
    *//** 共享存储对象 *//*
    private var pref: SharedPreferences = SApplication.app.defaultSharedPreferences

    *//**
     * 获得Boolean类型的值
     *
     * @param   key         键
     * @param   default     默认值
     *//*
    fun getBoolean(key: String, default: Boolean): Boolean {
        return pref.getBoolean(key, default)
    } // Function getBoolean()

    *//**
     * 设置Boolean类型的值
     *
     * @param   key         键
     * @param   value       值
     *//*
    fun putBoolean(key: String, value: Boolean) {
        pref.edit().putBoolean(key, value).apply()
        return
    } // Function putBoolean()

    *//**
     * 获得Float类型的值
     *
     * @param   key         键
     * @param   default     默认值
     *//*
    fun getFloat(key: String, default: Float): Float {
        return pref.getFloat(key, default)
    } // Function getFloat()

    *//**
     * 设置Float类型的值
     *
     * @param   key         键
     * @param   value       值
     *//*
    fun putFloat(key: String, value: Float) {
        pref.edit().putFloat(key, value).apply()
        return
    } // Function putFloat()

    *//**
     * 获得Int类型的值
     *
     * @param   key         键
     * @param   default     默认值
     *//*
    fun getInt(key: String, default: Int): Int {
        return pref.getInt(key, default)
    } // Function getInt()

    *//**
     * 设置Int类型的值
     *
     * @param   key         键
     * @param   value       值
     *//*
    fun putInt(key: String, value: Int) {
        pref.edit().putInt(key, value).apply()
        return
    } // Function putInt()

    *//**
     * 获得Long类型的值
     *
     * @param   key         键
     * @param   default     默认值
     *//*
    fun getLong(key: String, default: Long): Long {
        return pref.getLong(key, default)
    } // Function getLong()

    *//**
     * 设置Long类型的值
     *
     * @param   key         键
     * @param   value       值
     *//*
    fun putLong(key: String, value: Long) {
        pref.edit().putLong(key, value).apply()
        return
    } // Function putLong()

    *//**
     * 获得String类型的值
     *
     * @param   key         键
     * @param   default     默认值
     *//*
    fun getString(key: String, default: String): String {
        return pref.getString(key, default)!!
    } // Function getString()

    *//**
     * 设置String类型的值
     *
     * @param   key         键
     * @param   value       值
     *//*
    fun putString(key: String, value: String) {
        pref.edit().putString(key, value).apply()
        return
    } // Function putString()
}*/ // Class SOptions